package vo

// CmbFuncName . 招行接口名称
type CmbFuncName string

const (
	CmbOrderFuncName        CmbFuncName = "/voucher/cmb/v1/order"
	CmbProductQueryFuncName CmbFuncName = "/voucher/cmb/v1/product/query"
	CmbNotifyFuncName       CmbFuncName = "updateCodeStatus.json"
)

func (s CmbFuncName) GetValue() string {
	return string(s)
}

// CmbStatus . 券通知状态
type CmbStatus string

const (
	CmbStatusSuccess CmbStatus = "0"
	CmbStatusUse     CmbStatus = "1"
)

func (s CmbStatus) GetValue() string {
	return string(s)
}

// CmbResponseStatus . 响应状态
type CmbResponseStatus string

const (
	CmbResponseStatusSuccess CmbResponseStatus = "1000"
	CmbResponseStatusFail    CmbResponseStatus = "1001"
)

func (s CmbResponseStatus) GetValue() string {
	return string(s)
}

// CmbAvailableType . 有效期形式，0：固定有效期，1：动态有效期
type CmbAvailableType string

const (
	CmbAvailableTypeFixed   CmbAvailableType = "0"
	CmbAvailableTypeDynamic CmbAvailableType = "1"
)

func (s CmbAvailableType) GetValue() string {
	return string(s)
}
